Subject: Re: FVWM: Java window placement

From: Dominik Vogt <[email-masked]>
Date: Fri, 25 Jun 2004 10:50:54 +0200

On Fri, Aug 08, 2003 at 11:48:54AM -0700, Moore, Garron wrote:
> All of my java windows are being placed incorrectly. If I place a window
> at 0,0 the window is placed at 0,0, not the frame (The title bar and
> left border are off the screen).

> It seems like setting the gravity to static would fix this problem.

Yes.

> Is there a way to do that?

I don't know if it's possible in Java.

> Is there another way to fix this problem?

With the latest fvwm-2.5.10, you can use the style

  Style <windowname_or_class> MoveByProgramMethod UseGravity

for the java windows.  I hope that in future versions of Java and
fvwm this works without the need for a config change.

> Another related problem is that when a java window that has been
> moved resizes itself, it jumps up 1 title bar height and left 1
> border width.

Same problem, same fix.

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]